/* ****************************************************************************
[SQATT] Socket Queue Architecture by TelTel
                                                                                
This is the sub-program of SQATT.
Copyright (C) 2004 TELTEL

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.
                                                                                
This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.
                                                                                
You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
                                                                                
Please contact me, if you have question about SQATT.
                                                                                
e-mail: teltel_library@yahoo.co.jp
Web(Japanese): http://www.geocities.jp/sqatt_dev/
Web(English):  http://www.geocities.com/sqatt_develop/
**************************************************************************** */

#include   <stdio.h>
#include   <time.h>

char   *ttDate2( char ) ;
char   *ttDate4( char ) ;
char   *ttTime ( char ) ;

/* ************************************************************ */
/* *                                                          * */
/* ************************************************************ */
char   *ttDate2( sep )
char    sep ;
{
     static  char    date_time[ 32 ] ;
     char    w_date_time[ 32 ] ;

     strcpy( w_date_time , ttDate4( sep )) ;
     strcpy( date_time   , &w_date_time[ 2 ]) ;

     return( date_time ) ;
}

/* ************************************************************ */
/* *                                                          * */
/* ************************************************************ */
char   *ttDate4( sep )
char    sep ;
{
     static  char    date_time[ 32 ] ;

     short   int     iyy , imm , idd ;

     char    wyy[ 32 ] , wmm[ 32 ] , wdd[ 32 ] ;
     char    xyy[ 32 ] , xmm[ 32 ] , xdd[ 32 ] ;
     char    wsep[ 2 ] ;

     struct  tm  *tm_ptr ;
     time_t  the_time ;

     ( void )time( &the_time ) ;
     tm_ptr = localtime( &the_time ) ;

     strftime( wyy , 32 , "%Y" , tm_ptr ) ;
     strftime( wmm , 32 , "%m" , tm_ptr ) ;
     strftime( wdd , 32 , "%d" , tm_ptr ) ;

     iyy = atoi( wyy ) ;
     imm = atoi( wmm ) ;
     idd = atoi( wdd ) ;

     memset( xyy , 0x00 , sizeof( xyy )) ;
     memset( xmm , 0x00 , sizeof( xmm )) ;
     memset( xdd , 0x00 , sizeof( xdd )) ;
    
     sprintf( xyy , "%04d" , iyy ) ;
     sprintf( xmm , "%02d" , imm ) ;
     sprintf( xdd , "%02d" , idd ) ;

     wsep[ 0 ] = sep  ;
     wsep[ 1 ] = 0x00 ;

     memset( date_time , 0x00 , sizeof( date_time )) ;
     strcpy( date_time , xyy  ) ;
     strcat( date_time , wsep ) ;
     strcat( date_time , xmm  ) ;
     strcat( date_time , wsep ) ;
     strcat( date_time , xdd  ) ;

     return( date_time ) ;
}

/* ************************************************************ */
/* *                                                          * */
/* ************************************************************ */
char   *ttTime( sep )
char    sep ;
{
     static  char    date_time[ 32 ] ;

     short   int     ihh , inn , iss ;
     char    whh[ 32 ] , wnn[ 32 ] , wss[ 32 ] ;
     struct  tm  *tm_ptr ;
     time_t  the_time ;

     ( void )time( &the_time ) ;
     tm_ptr = localtime( &the_time ) ;

     strftime( whh , 32 , "%H" , tm_ptr ) ;
     strftime( wnn , 32 , "%M" , tm_ptr ) ;
     strftime( wss , 32 , "%S" , tm_ptr ) ;

     ihh = atoi( whh ) ;
     inn = atoi( wnn ) ;
     iss = atoi( wss ) ;

     memset ( date_time , 0x0 , sizeof( date_time )) ;
     sprintf( date_time , "%s%02d" , date_time , ihh ) ;
     sprintf( date_time , "%s%c"   , date_time , sep ) ;
     sprintf( date_time , "%s%02d" , date_time , inn ) ;
     sprintf( date_time , "%s%c"   , date_time , sep ) ;
     sprintf( date_time , "%s%02d" , date_time , iss ) ;

     return( date_time ) ;
}
