/* ********************************************************************** */
/* *   sockcl01 : Sample client program using SQATT.                    * */
/* ********************************************************************** */

#include   <stdio.h>
#include   <string.h>
#include   <stdlib.h>

#include   <arpa/inet.h>

#include   <sqatt.h>
#include   <sqatt_func.h>

int     main( argc , argv )
int     argc ;
char   *argv[] ;
{
     int     rslt ;
     int     buf_size  ;
     int     data_size ;
     char    data_buf[ 256 ] ;
     SQATT   sqatt ;

     if( argc != 2 )
     {
          printf( "Invalid parameters.\n" ) ;
          exit( -1 ) ;
     }

     rslt = sqatt_copen( &sqatt , 3256 , SQATT_1_WAY_QUEUE , 3 ) ;

     buf_size  = sizeof( data_buf ) ;
     data_size = strlen( argv[ 1 ]) ;

     memset( data_buf , 0x00      , buf_size  ) ;
     memcpy( data_buf , argv[ 1 ] , data_size ) ;

     rslt = sqatt_send( &sqatt , data_size , data_buf ) ;

     printf( "rslt of send = %5d\n" , rslt ) ;

     sqatt_close( &sqatt ) ; 
}

