/* ********************************************************************** */
/* *   sockcl_uev : Sample client program.                              * */
/* ********************************************************************** */

#include   <stdio.h>
#include   <string.h>
#include   <stdlib.h>

#include   <sys/types.h>
#include   <sys/socket.h>
#include   <stdio.h>
#include   <sys/un.h>
#include   <unistd.h>
#include   <errno.h>

extern  int     errno ;

int     main( argc , argv )
int     argc ;
char   *argv[] ;
{
     int     sockfd ;
     int     len  ;
     int     rslt ;
     struct  sockaddr_un   address ;
     char    ch = 'A' ;

     if( argc != 2 )
     {
          printf( "No command line parameter. argc = %2d\n" , argc ) ;
          exit( -1 ) ;
     }

     sockfd = socket( AF_UNIX , SOCK_STREAM , 0 ) ;
     address.sun_family = AF_UNIX ;
     strcpy( address.sun_path , argv[ 1 ]) ;
     len  = sizeof( address ) ;
     rslt = connect( sockfd , ( struct sockaddr *)&address , len ) ;

     if( rslt == -1 )
     {
          printf( "Error. connect() rslt:%4d, errno:%4d , %s\n" ,
                   rslt , errno , strerror( errno )) ;
          exit( -1 ) ;
     }

     write( sockfd , &ch , 1 ) ;
     read ( sockfd , &ch , 1 ) ;
     printf( "data from server = %c\n" , ch ) ;
     close( sockfd ) ;
}
