/* ****************************************************************************
[SQATT] Socket Queue Architecture by TelTel
                                                                                
This is the header file of SQATT.
Copyright (C) 2004 TELTEL
                                                                                
This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.
                                                                                
This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.
                                                                                
You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
                                                                                
Please contact me, if you have question about SQATT.
                                                                                
e-mail: teltel_library@yahoo.co.jp
Web(Japanese): http://www.geocities.jp/sqatt_dev/
Web(English):  http://www.geocities.com/sqatt_develop/
**************************************************************************** */

#ifndef SQATT_FUNC

     extern  int     sqatt_wait ( SQATT* ) ;
     extern  int     sqatt_sopen( SQATT* , int , int ) ;
     extern  int     sqatt_copen( SQATT* , int , int , int ) ;
     extern  int     sqatt_close( SQATT* ) ;
     extern  int     sqatt_recv ( SQATT* , int , int* , void* ) ;
     extern  int     sqatt_send ( SQATT* , int , void* ) ;
     extern  int     sqatt_call ( SQATT* , int , void* , int , int* , void* ) ;

     extern  int     sqatt_add_usrfd( SQATT* , int ) ;
     extern  int     sqatt_del_usrfd( SQATT* , int ) ;
     extern  int     sqatt_get_usrfd( SQATT* ) ;

     #define  SQATT_FUNC

#endif

