/* ********************************************************************** */
/* *  socksv01: Sample server program using SQATT.                      * */
/* ********************************************************************** */

#include   <stdio.h>
#include   <string.h>
#include   <stdlib.h>
#include   <stdarg.h>

#include   <arpa/inet.h>

#include   <sqatt.h>
#include   <sqatt_func.h>

int     main()
{
     int     rslt ;
     int     buf_size  ;
     int     data_size ;
     char    data_buf[ 256 ] ;
     SQATT   sqatt ;

     sqatt_sopen( &sqatt , 3256 , SQATT_1_WAY_QUEUE ) ;

     while( 1 )
     {
          rslt = sqatt_wait( &sqatt ) ;

          if( rslt == SQATT_RECEIVED )
          {
               buf_size = sizeof( data_buf ) ;
               memset( data_buf , 0x00 , buf_size ) ;

               rslt = sqatt_recv( &sqatt , buf_size , &data_size , data_buf ) ;

               printf( "sqatt_recv() rslt:%3d , data_size:%5d\n" ,
                        rslt , data_size ) ;
               printf( "data: %s\n" , data_buf ) ;
          }
          else
          {
               printf( "sqatt_wait() rslt:%3d" , rslt ) ;
               break ;
          }
     }
}
